<template>
    <div  class="success-message" v-if="$interface.messageSuccessWindows.text">
        <div class="close-modal-message" @click="closeWarningWindow" v-if="$interface.messageSuccessWindows.cross"></div>
        {{$interface.messageSuccessWindows.text}}
    </div>

    <div class="success-message" v-else-if="$slots.message">
        <slot name="message"></slot>
    </div>
</template>

<script>
  export default {
    name: 'Success-Message',
    methods: {
      closeWarningWindow () {
        this.$interface.messageSuccessWindows.text = ''
      }
    },
    created () {
      console.log(this);
    }
  }
</script>

<style scoped lang="scss">
  .success-message {
    position: relative;
    border-radius: 5px;
    padding: 25px;
    color: #6ccc54;
    background: #e5f3e0;
    margin-bottom: 25px;
    text-align: center;
  }

  .close-modal-message {
    background: url(/static/img/icons/close-green.png);
    display: inline-block;
    position: absolute;
    background-repeat: no-repeat;
    background-position: 50% -85px;
    width: 29px;
    height: 29px;
    right: 10px;
    top: 10px;
    cursor: pointer;
    z-index: 1;
  }
</style>
